# 想要完全禁用tab列表特性，请参 Modules.yml 
TabList:
  # 使用异步模式来更新TAB列表
  # 可提升性能，但是部分插件在处理异步变量时可能会出问题
  Async: true
  UpdateTabListNames: true
  # 启用分组TAB列表
  # 如果你对分组列表不感兴趣，可以禁用此项，可提升性能
  GroupedEnabled: true
  Updates:
    # 每过 x 秒自动更新TAB列表
    # 如果你使用的是静态的TAB顶部栏和底部栏，可设置为-1来禁用
    AutoInterval: 60
    OnJoin: true
    OnLeave: true
    afkStateChange: true
    OnWorldChange: true
    OnDeath: false
    OnTeleport: false
    OnNickChange: true
  # 设置为 false ，tab列表不会显示顶部内容（header）
  addTabListHeader: true
  # 设置为 false ，tab列表不会显示底部内容（footer）
  addTabListFooter: true
  # PlaceholderAPI 变量支持
  # 即便不使用 PlaceHolderAPI， CMI 也有自带的变量
  # 你可以在游戏内使用此指令查看所有变量 /cmi placeholders
  GeneralFormat:
    PlayerName: '[playerDisplayName]'
    Header:
    - '&f------------------------------------'
    - '&7欢迎来到PCD服务器 QQ群219412424'
    - '&7当前在线 &f%server_online%&7/&f%server_max_players%'
    - '&f------------------------------------'
    Footer:
    - '&f------------------------------------'
    - '&7%player_world% &f%player_x%:&7%player_y%:&f%player_z%'
    - '&7金钱: &f%vault_eco_balance_formatted% &7时间: &f%server_time_HH:mm:ss%'
    - '&f------------------------------------'
  useGeneralName: false
  # 设置为 true, 除非你在GroupFormat指定了相应的 玩家名，顶部内容和底部内容，否则默认的内容将会显示
  useGeneralHeader: false
  useGeneralFooter: false
  # 有权限 cmi.tablist.[序号] 可以看到特定的TAB顶部和底部栏
  # 序号必须是数字 你可以新建更多分组
  # 如果玩家拥有不只一个权限，序号大的那个会优先显示
  GroupFormat:
    '1':
      PlayerName: '&2{&r[playerDisplayName]&2}'
      Header:
      - '&f------------------------------------'
      - '&7当前在线 &f%server_online%&7/&f%server_max_players%'
      - '&f------------------------------------'
      Footer:
      - '&f------------------------------------'
      - '&7%player_world% &f%player_x%:&7%player_y%:&f%player_z%'
      - '&7时间: &f%server_time_HH:mm:ss%'
      - '&f------------------------------------'
    '2':
      PlayerName: '&c[&r[playerDisplayName]&c]'
      Header:
      - '&f------------------------------------'
      - '&7当前在线 &f%server_online%&7/&f%server_max_players%'
      - '&f------------------------------------'
      Footer:
      - '&f------------------------------------'
      - '&7金钱: &f%vault_eco_balance_formatted% &7时间: &f%server_time_HH:mm:ss%'
      - '&f------------------------------------'

